OAKS Browser will still be needed for 2014-15

Just FYI I have received word that the OAKS browser will still be required for ELPA and for Science testing for the 2014-15 year.

Update: The new Smarter Balanced tests are also still using the OAKS browser as a delivery vehicle. There will not be a separate app.

Vader no

 

From: James Grubic and David Nelson, April 14, 2014

Posted in: Applications